Description

Metacat doesn't handle values with nested elements well. Given the following:

<entity>

<property>

<property>

<configure>

If <i>true</i>, then display plot. If <i>false</i>, then don't. (the default)
</configure>

</property>

</property>

</entity>

If | request the value of the "configure" element, | get:
<param name="entity/property/property/configure">, then don't. (the default)</param>

Metacat only gives me the text after the last inner element (the <i> element).

History

#1 - 03/20/2007 11:42 AM - David Sledge

A possible solution is to require Kepler (or whatever the uploading agent is) to use entities to hide the HTML tags. So <i> would be converted to <i>
so that metacat will treat them as text, then metacat's XSL can convert them back into tags.

#2 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2804

#3 - 04/09/2013 05:28 PM - ben leinfelder

- Status changed from New to Closed

These are interesting results for mixed content. Really if you want to use XML but not have it treated as such you should CDATA it.
